package com.example.ldap;

import com.example.dsp.ldap.xmlbeans.InetOrgPersonDocument;
import com.example.dsp.ldap.xmlbeans.LdapKeyDocument;

public interface InetOrgPersonDao {
	LdapKeyDocument createPerson(InetOrgPersonDocument person);

	void updatePerson(InetOrgPersonDocument person);

	void deletePerson(InetOrgPersonDocument person);

	InetOrgPersonDocument findByPrimaryKey(String uniqueIdentifier);

	InetOrgPersonDocument[] findAll();
}